| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (4 of 10 overloads)

Construct an open acceptor.

    template<
        typename ExecutionContext>
    basic_socket_acceptor(
        ExecutionContext & context,
        const protocol_type & protocol,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates an acceptor and automatically opens it.

###### Parameters

context

  An execution context which provides the I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

boost::system::system_error

  Thrown on failure.